//
//  ViewController.m
//  测试UIPageViewController
//
//  Created by apple on 16/7/20.
//  Copyright © 2016年 cz.cn. All rights reserved.
//

#import "ViewController.h"
#import "MyViewController.h"
@interface ViewController ()<UIPageViewControllerDataSource>

@property (nonatomic, assign) int num;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.num = 1;
    
    //1.创建pageViewController
    //TransitionStyle:转场样式
    //Orientation  滚动方向
    UIPageViewController *pageViewController = [[UIPageViewController alloc]initWithTransitionStyle:UIPageViewControllerTransitionStylePageCurl navigationOrientation:UIPageViewControllerNavigationOrientationHorizontal options:nil];
    
    pageViewController.view.backgroundColor = [UIColor redColor];
    
    //2.创建内容控制器
    MyViewController *vc = [[MyViewController alloc]init];
    vc.view.backgroundColor = [UIColor yellowColor];
    vc.number = 1;
    //3.设置 pageViewController的内容控制器
    
    [pageViewController setViewControllers:@[vc] direction:UIPageViewControllerNavigationDirectionReverse animated:YES completion:^(BOOL finished) {
        NSLog(@"11111");
         }];
        
      //4.设置 数据源
    pageViewController.dataSource = self;
    
    //5.添加子控制器
    
    [self addChildViewController:pageViewController];
    
    //6.添加子视图
    
    [self.view addSubview:pageViewController.view];
    
    //7.完成控制器的添加
    
    [pageViewController didMoveToParentViewController:self];
}

- (nullable UIViewController *)pageViewController:(UIPageViewController *)pageViewController viewControllerBeforeViewController:(MyViewController *)viewController
{

    if (viewController.number <= 1) {
        return nil;
    }
    MyViewController *vc = [[MyViewController alloc]init];
   
    vc.view.backgroundColor = [UIColor  colorWithRed:arc4random_uniform(255)/256.0 green:arc4random_uniform(255)/256.0 blue:arc4random_uniform(255)/256.0 alpha:1.0];
  
   
    
    vc.number = viewController.number - 1;
    
    return vc;

}
- (nullable UIViewController *)pageViewController:(UIPageViewController *)pageViewController viewControllerAfterViewController:(MyViewController *)viewController
{

    if (viewController.number > 11) {
        return nil;
    }
    
    MyViewController *vc = [[MyViewController alloc]init];
   
    vc.view.backgroundColor = [UIColor  colorWithRed:arc4random_uniform(255)/256.0 green:arc4random_uniform(255)/256.0 blue:arc4random_uniform(255)/256.0 alpha:1.0];
  
    vc.number = viewController.number + 1;
    
    return vc;
}


@end
